
%define check_sig() export GNUPGHOME=%{_tmppath}/rpm-gpghome \
if [ -d "$GNUPGHOME" ] \
then echo "Error, GNUPGHOME $GNUPGHOME exists, remove it and try again"; exit 1 \
fi \
install -d -m700 $GNUPGHOME \
gpg --import %{1} \
gpg --trust-model always --verify %{2} %{?3} \
rm -Rf $GNUPGHOME ;\
\

Summary:	Tools for Managing Linux CIFS Client Filesystems
Name:		cifs-utils
Version:	6.0
License:	GPLv3
Group:		Networking/Other
Release:	%mkrel 1
URL:		http://www.samba.org/linux-cifs/cifs-utils/
Source0:	ftp://ftp.samba.org/pub/linux-cifs/cifs-utils/%{name}-%{version}.tar.bz2
Source1:	ftp://ftp.samba.org/pub/linux-cifs/cifs-utils/%{name}-%{version}.tar.bz2.asc
Source2:	ftp://ftp.samba.org/pub/linux-cifs/cifs-utils/cifs-utils-pubkey_70F3B981.asc
BuildRequires:	autoconf automake libtool
BuildRequires:	pkgconfig(talloc)
BuildRequires:	pkgconfig(libcap-ng)
BuildRequires:	keyutils-devel
BuildRequires:	krb5-devel
BuildRequires:	wbclient-devel
BuildRequires:	gnupg
Suggests:	sudo nss_wins
Provides:	mount-cifs = %{version}
Obsoletes:	mount-cifs <= 4.0
Requires:	keyutils

%description
Tools for Managing Linux CIFS Client Filesystems.

%package	devel
Summary:	Files needed for building plugins for cifs-utils
Group:		Development/C

%description	devel
This package contains the header file necessary for building ID mapping
plugins for cifs-utils.

%prep
%check_sig %{SOURCE2} %{SOURCE1} %{SOURCE0}

%setup -q

%build
%serverbuild
%configure2_5x \
    --sbindir=%{_sbindir} \
    --enable-cifsacl \
    --enable-cifsidmap \

%make

%install
%makeinstall_std
mv %{buildroot}/sbin/mount.cifs %{buildroot}%{_sbindir}/mount.cifs
ln -s ../sbin/mount.cifs %{buildroot}%{_bindir}/mount.cifs
# Hack for smb4k
ln -s umount %{buildroot}%{_bindir}/umount.cifs

mkdir -p %{buildroot}%{_sysconfdir}/%{name}
ln -s %{_libdir}/%{name}/idmapwb.so %{buildroot}%{_sysconfdir}/%{name}/idmap-plugin
mkdir -p %{buildroot}%{_sysconfdir}/request-key.d
install -m 644 contrib/request-key.d/cifs.idmap.conf %{buildroot}%{_sysconfdir}/request-key.d
install -m 644 contrib/request-key.d/cifs.spnego.conf %{buildroot}%{_sysconfdir}/request-key.d
cp contrib/request-key.d/README contrib/request-key.d/README.keyutils-1.5.5

%files
%doc AUTHORS README doc/linux-cifs-client-guide.odt contrib/request-key.d/README.keyutils-1.5.5
%config(noreplace) %{_sysconfdir}/%{name}/idmap-plugin
%config(noreplace) %{_sysconfdir}/request-key.d/cifs.idmap.conf
%config(noreplace) %{_sysconfdir}/request-key.d/cifs.spnego.conf
%{_bindir}/cifscreds
%{_bindir}/*etcifsacl
%{_sbindir}/cifs.upcall
%{_sbindir}/cifs.idmap
%{_sbindir}/mount.cifs
%{_libdir}/%{name}/idmapwb.so
%{_bindir}/mount.cifs
%{_bindir}/umount.cifs
%{_mandir}/man8/cifs.upcall.8*
%{_mandir}/man8/cifs.idmap.8*
%{_mandir}/man8/mount.cifs.8*
%{_mandir}/man8/idmapwb.8*
%{_mandir}/man1/*etcifsacl.1*
%{_mandir}/man1/cifscreds.1*

%files devel
%{_includedir}/cifsidmap.h


%changelog

* Mon Apr 01 2013 luigiwalser <luigiwalser> 6.0-1.mga3
+ Revision: 406906
- 6.0

* Fri Jan 11 2013 umeabot <umeabot> 5.9-2.mga3
+ Revision: 347753
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 luigiwalser <luigiwalser> 5.9-1.mga3
+ Revision: 344272
- 5.9

* Mon Dec 24 2012 luigiwalser <luigiwalser> 5.8-1.mga3
+ Revision: 334755
- 5.8

* Tue Oct 30 2012 luigiwalser <luigiwalser> 5.7-1.mga3
+ Revision: 311639
- 5.7

* Mon Jul 30 2012 sander85 <sander85> 5.6-1.mga3
+ Revision: 276194
- New version: 5.6.
- Move binaries under /usr.

  + buchan <buchan>
    - Include upstream patch fixing ftruncate unused variable causing warnings with
     FORTIFY_SOURCE, allowing us to keep -Werror
    - Undo some unnecessary changes
    - Clean buildroot in %%install (so short-circuit doesnt cause spurious problems)

* Sun May 06 2012 tmb <tmb> 5.4-1.mga2
+ Revision: 234794
- drop duplicate BR for wbclient
- BR pkgconfig(wbclient)

  + luigiwalser <luigiwalser>
    - run autoreconf to try to fix build (from mdv)
    - re-add mount.cifs symlink in /bin

  + buchan <buchan>
    - BR gnupg for signature verification
    - New version (addresses CVE-2012-1586, bug #5714)
    - Enable signature checking
    - BR wbclient-devel, so we can enable cifsidmap and cifsacl tools
    - Cleanups removing tasks install target now takes care of

* Sat Mar 03 2012 dams <dams> 5.3-1.mga2
+ Revision: 217424
- sync with fedora and mandriva
- new version 5.3
- clean spec file

  + yann <yann>
    - new upstream version
    - clean a little spec file

* Thu Sep 08 2011 tv <tv> 4.9-1.mga2
+ Revision: 141526
- new release

* Wed Mar 23 2011 ennael <ennael> 4.8.1-1.mga1
+ Revision: 76061
- clean spec file
- imported package cifs-utils


* Tue Feb 22 2011 Buchan Milne <bgmilne@mandriva.org> 4.8.1-1mdv2011.0
+ Revision: 639375
- update to new version 4.8.1

* Thu Oct 21 2010 Buchan Milne <bgmilne@mandriva.org> 4.7-1mdv2011.0
+ Revision: 587138
- update to new version 4.7

* Mon Aug 09 2010 Buchan Milne <bgmilne@mandriva.org> 4.6-1mdv2011.0
+ Revision: 567890
- update to new version 4.6

* Tue May 18 2010 Buchan Milne <bgmilne@mandriva.org> 4.4-2mdv2010.1
+ Revision: 545280
- Provide additional symlinks required if we are to replace mount-cifs
- Provide/obsolete mount-cifs (samba 3.5 packages allow this, 3.4 not currently)
- Suggest sudo (for use with e.g. smb4k) and nss_wins (to provide name resolution)

* Thu May 06 2010 Buchan Milne <bgmilne@mandriva.org> 4.4-1mdv2010.1
+ Revision: 543019
- New version 4.4

* Wed Apr 14 2010 Buchan Milne <bgmilne@mandriva.org> 4.3-2mdv2010.1
+ Revision: 534798
- BR cap-devel

* Tue Apr 13 2010 Buchan Milne <bgmilne@mandriva.org> 4.3-1mdv2010.1
+ Revision: 534178
- update to new version 4.3

* Tue Apr 06 2010 Buchan Milne <bgmilne@mandriva.org> 4.2-1mdv2010.1
+ Revision: 532128
- update to new version 4.2

* Thu Apr 01 2010 Buchan Milne <bgmilne@mandriva.org> 4.1-1mdv2010.1
+ Revision: 530603
- update to new version 4.1

* Fri Mar 12 2010 Oden Eriksson <oeriksson@mandriva.com> 4.0-0.1mdv2010.1
+ Revision: 518388
- fix deps (krb5-devel)
- import cifs-utils


* Fri Mar 12 2010 Oden Eriksson <oeriksson@mandriva.com> 4.0-0.1mdv2010.0
- initial Mandriva package
